<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>TestingCardsLotListComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/testing-cards-lot/testing-cards-lot-list/testing-cards-lot-list.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
                <code><a href="https://angular.io/api/core/OnDestroy" target="_blank" >OnDestroy</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>testing-cards-lot-list</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./testing-cards-lot-list.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./testing-cards-lot-list.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#_readOnly">_readOnly</a>
                            </li>
                            <li>
                                <a href="#dataSource">dataSource</a>
                            </li>
                            <li>
                                <a href="#relatedDoi">relatedDoi</a>
                            </li>
                            <li>
                                <a href="#sort">sort</a>
                            </li>
                            <li>
                                <a href="#subscriptions">subscriptions</a>
                            </li>
                            <li>
                                <a href="#testingCardsLotSubject">testingCardsLotSubject</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#createNew">createNew</a>
                            </li>
                            <li>
                                <a href="#edit">edit</a>
                            </li>
                            <li>
                                <a href="#ngOnDestroy">ngOnDestroy</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                            <li>
                                <a href="#remove">remove</a>
                            </li>
                        </ul>
                    </td>
                </tr>





                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#readOnly">readOnly</a>
                                </li>
                                <li>
                                    <a href="#displayedColumns">displayedColumns</a>
                                </li>
                                <li>
                                    <a href="#elementsCount">elementsCount</a>
                                </li>
                                <li>
                                    <a href="#forConfiguration">forConfiguration</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(route: <a href="https://angular.io/api/router/ActivatedRoute" target="_blank">ActivatedRoute</a>, translateService: TranslateService, testingCardsLotService: <a href="../injectables/TestingCardsLotService.html">TestingCardsLotService</a>, operationDataService: <a href="../injectables/OperationDataService.html">OperationDataService</a>, operationManagementService: <a href="../injectables/OperationManagementService.html">OperationManagementService</a>, dialogService: TdDialogService, readOnlyService: <a href="../injectables/ReadOnlyService.html">ReadOnlyService</a>, router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="34" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-list/testing-cards-lot-list.component.ts:34</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>route</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/ActivatedRoute" target="_blank" >ActivatedRoute</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>translateService</td>
                                                  
                                                        <td>
                                                                    <code>TranslateService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>testingCardsLotService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/TestingCardsLotService.html" target="_self" >TestingCardsLotService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>operationDataService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationDataService.html" target="_self" >OperationDataService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>operationManagementService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationManagementService.html" target="_self" >OperationManagementService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>dialogService</td>
                                                  
                                                        <td>
                                                                    <code>TdDialogService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>readOnlyService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/ReadOnlyService.html" target="_self" >ReadOnlyService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="createNew"></a>
                        <span class="name">
                            <b>
                            createNew
                            </b>
                            <a href="#createNew"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>createNew()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="88" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-list/testing-cards-lot-list.component.ts:88</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="edit"></a>
                        <span class="name">
                            <b>
                            edit
                            </b>
                            <a href="#edit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>edit(element: <a href="../classes/TestingCardsLot.html">TestingCardsLot</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="107" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-list/testing-cards-lot-list.component.ts:107</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>element</td>
                                                        <td>
                                                                    <code><a href="../classes/TestingCardsLot.html" target="_self" >TestingCardsLot</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnDestroy"></a>
                        <span class="name">
                            <b>
                            ngOnDestroy
                            </b>
                            <a href="#ngOnDestroy"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnDestroy()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="84" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-list/testing-cards-lot-list.component.ts:84</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnInit"></a>
                        <span class="name">
                            <b>
                            ngOnInit
                            </b>
                            <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnInit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="65" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-list/testing-cards-lot-list.component.ts:65</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="remove"></a>
                        <span class="name">
                            <b>
                            remove
                            </b>
                            <a href="#remove"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>remove(element: <a href="../classes/TestingCardsLot.html">TestingCardsLot</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="92" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-list/testing-cards-lot-list.component.ts:92</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>element</td>
                                                        <td>
                                                                    <code><a href="../classes/TestingCardsLot.html" target="_self" >TestingCardsLot</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="_readOnly"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            _readOnly
                            </b>
                            <a href="#_readOnly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>_readOnly:     <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="46" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-list/testing-cards-lot-list.component.ts:46</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="dataSource"></a>
                        <span class="name">
                            <b>
                            dataSource
                            </b>
                            <a href="#dataSource"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>dataSource:     <code></code>
</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="29" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-list/testing-cards-lot-list.component.ts:29</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="relatedDoi"></a>
                        <span class="name">
                            <b>
                            relatedDoi
                            </b>
                            <a href="#relatedDoi"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>relatedDoi:     <code><a href="../interfaces/DomainOfInfluence.html" target="_self" >DomainOfInfluence[]</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../interfaces/DomainOfInfluence.html" target="_self" >DomainOfInfluence[]</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="34" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-list/testing-cards-lot-list.component.ts:34</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="sort"></a>
                        <span class="name">
                            <b>
                            sort
                            </b>
                            <a href="#sort"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>sort:     <code>MatSort</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>MatSort</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <b>Decorators : </b>
                            <br />
                            <code>
                                @ViewChild(MatSort)<br />
                            </code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="33" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-list/testing-cards-lot-list.component.ts:33</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="subscriptions"></a>
                        <span class="name">
                            <b>
                            subscriptions
                            </b>
                            <a href="#subscriptions"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>subscriptions:     <code>Subscription[]</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>Subscription[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="31" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-list/testing-cards-lot-list.component.ts:31</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="testingCardsLotSubject"></a>
                        <span class="name">
                            <b>
                            testingCardsLotSubject
                            </b>
                            <a href="#testingCardsLotSubject"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>testingCardsLotSubject:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>new BehaviorSubject&lt;TestingCardsLot[]&gt;([])</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-list/testing-cards-lot-list.component.ts:27</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="readOnly"></a>
                        <span class="name"><b>readOnly</b><a href="#readOnly"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>readOnly()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="48" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-list/testing-cards-lot-list.component.ts:48</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="displayedColumns"></a>
                        <span class="name"><b>displayedColumns</b><a href="#displayedColumns"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>displayedColumns()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="52" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-list/testing-cards-lot-list.component.ts:52</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="elementsCount"></a>
                        <span class="name"><b>elementsCount</b><a href="#elementsCount"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>elementsCount()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="57" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-list/testing-cards-lot-list.component.ts:57</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="forConfiguration"></a>
                        <span class="name"><b>forConfiguration</b><a href="#forConfiguration"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>forConfiguration()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="61" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-list/testing-cards-lot-list.component.ts:61</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnDestroy, OnInit, ViewChild } from &#x27;@angular/core&#x27;;
import { ActivatedRoute, Router } from &#x27;@angular/router&#x27;;
import { TranslateService } from &#x27;@ngx-translate/core&#x27;;
import { DataSource } from &#x27;@angular/cdk/collections&#x27;;
import { MatSort } from &quot;@angular/material/sort&quot;;
import { BehaviorSubject } from &#x27;rxjs/BehaviorSubject&#x27;;
import { Observable } from &#x27;rxjs/Observable&#x27;;
import { TdDialogService } from &#x27;@covalent/core&#x27;;
import { sortOnProperty } from &#x27;../../../core/util/table-utils&#x27;;
import { OperationManagementService } from &#x27;../../service/operation-managment.service&#x27;;
import { Subscription } from &#x27;rxjs/Subscription&#x27;;
import { map } from &#x27;rxjs/operators&#x27;;
import { merge } from &#x27;rxjs/observable/merge&#x27;;
import { TestingCardsLot } from &#x27;../model/testing-cards-lot&#x27;;
import { TestingCardsLotService } from &#x27;../service/testing-cards-lot.service&#x27;;
import { ReadOnlyService } from &#x27;../../service/read-only.service&#x27;;
import { OperationDataService } from &#x27;../../service/operation.data.service&#x27;;
import { DomainOfInfluence } from &#x27;../../../model/domain-of-Influence.model&#x27;;

@Component({
  selector: &#x27;testing-cards-lot-list&#x27;,
  templateUrl: &#x27;./testing-cards-lot-list.component.html&#x27;,
  styleUrls: [&#x27;./testing-cards-lot-list.component.scss&#x27;]
})
export class TestingCardsLotListComponent implements OnInit, OnDestroy {

  testingCardsLotSubject &#x3D; new BehaviorSubject&lt;TestingCardsLot[]&gt;([]);

  dataSource;

  subscriptions: Subscription[] &#x3D; [];

  @ViewChild(MatSort) sort: MatSort;
  relatedDoi: DomainOfInfluence[];

  constructor(private route: ActivatedRoute,
              private translateService: TranslateService,
              private testingCardsLotService: TestingCardsLotService,
              private operationDataService: OperationDataService,
              private operationManagementService: OperationManagementService,
              private dialogService: TdDialogService,
              private readOnlyService: ReadOnlyService,
              private router: Router) {
  }

  private _readOnly: boolean;

  get readOnly() {
    return this._readOnly;
  }

  get displayedColumns(): string[] {
    return [&quot;lotName&quot;, &quot;cardType&quot;, &quot;count&quot;, &quot;voter&quot;, &quot;language&quot;, &quot;shouldPrint&quot;, &quot;actions&quot;];

  }

  get elementsCount() {
    return this.testingCardsLotSubject.value.length;
  }

  get forConfiguration() {
    return !!this.route.snapshot.data.forConfiguration;
  }

  ngOnInit() {
    this.dataSource &#x3D;
      new TestingCardsLotDataSource(this.testingCardsLotSubject, this.sort, this.translateService);


    this.subscriptions.push(
      this.readOnlyService.isTestingCardInReadOnly(this.forConfiguration)
        .subscribe(readOnly &#x3D;&gt; this._readOnly &#x3D; readOnly),
      this.operationManagementService.operation.subscribe(operation &#x3D;&gt; {
        this.testingCardsLotService.findAll(operation.id, this.forConfiguration)
          .subscribe(data &#x3D;&gt; this.testingCardsLotSubject.next(data));
        this.operationDataService.getAllRelatedDois(operation.id).subscribe(
          dois &#x3D;&gt; this.relatedDoi &#x3D; dois.filter(doi &#x3D;&gt; doi.type !&#x3D;&#x3D; &quot;Unknown&quot;));


      })
    )
  }

  ngOnDestroy(): void {
    this.subscriptions.forEach(s &#x3D;&gt; s.unsubscribe());
  }

  createNew() {
    this.router.navigate([&#x27;create&#x27;], {relativeTo: this.route});
  }

  remove(element: TestingCardsLot) {
    this.dialogService.openConfirm({
      message: this.translateService.instant(&#x27;testing-cards-lot.dialogs.delete&#x27;, element),
      disableClose: true,
      cancelButton: this.translateService.instant(&#x27;global.actions.no&#x27;),
      acceptButton: this.translateService.instant(&#x27;global.actions.yes&#x27;),
    }).afterClosed().subscribe((accept: boolean) &#x3D;&gt; {
      if (accept) {
        this.testingCardsLotService.remove(element.id)
          .subscribe(() &#x3D;&gt; this.testingCardsLotSubject.next(
            this.testingCardsLotSubject.getValue().filter((e) &#x3D;&gt; e.id !&#x3D; element.id)));
      }
    });
  }

  edit(element: TestingCardsLot) {
    this.router.navigate([element.id], {relativeTo: this.route});
  }

}


class TestingCardsLotDataSource extends DataSource&lt;any&gt; {

  constructor(private data: BehaviorSubject&lt;TestingCardsLot[]&gt;, private sort: MatSort,
              private translateService: TranslateService) {
    super();
  }

  connect(): Observable&lt;any[]&gt; {
    return merge(this.data, this.sort.sortChange)
      .pipe(
        map(() &#x3D;&gt; this.data.getValue().map(
          lot &#x3D;&gt; Object.assign({}, lot, {
            cardType: this.translateService.instant(&#x60;dictionary.card-type.${lot.cardType}&#x60;),
            signature: this.translateService.instant(&#x60;dictionary.signature.${lot.signature}&#x60;),
            shouldPrint: this.translateService.instant(
              &#x60;testing-cards-lot.form.values.should-print.${lot.shouldPrint}&#x60;),
            address: [lot.address1, lot.address2, lot.street, &#x60;${lot.postalCode} ${lot.city} ${lot.country}&#x60;].filter(
              v &#x3D;&gt; !!v)

          })
        )),
        map(translated &#x3D;&gt; sortOnProperty(translated, this.sort.active, this.sort.direction)));
  }

  disconnect() {
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;mat-card id&#x3D;&quot;testingCardsLotList&quot; [class.read-only]&#x3D;&quot;readOnly&quot;&gt;
  &lt;mat-card-header&gt;
    &lt;mat-card-title&gt;{{ &quot;testing-cards-lot.title&quot; | translate }}&lt;/mat-card-title&gt;
    &lt;mat-card-subtitle&gt;{{ &quot;testing-cards-lot.subtitle.list&quot; | translate }}&lt;/mat-card-subtitle&gt;
  &lt;/mat-card-header&gt;

  &lt;mat-card-content fxLayout&#x3D;&quot;column&quot; class&#x3D;&quot;no-padding&quot;&gt;

    &lt;div *ngIf&#x3D;&quot;relatedDoi &amp;&amp; relatedDoi.length &#x3D;&#x3D; 0&quot; class&#x3D;&quot;parameter-input&quot; id&#x3D;&quot;cannot-create-lot&quot;&gt;
      {{ &quot;testing-cards-lot.no-registry&quot; | translate }}
    &lt;/div&gt;


    &lt;div class&#x3D;&quot;mat-card-button-toolbar&quot;
         fxLayout fxLayoutAlign&#x3D;&quot;end&quot; fxLayoutGap&#x3D;&quot;2.5rem&quot;
         *ngIf&#x3D;&quot;!readOnly &amp;&amp; relatedDoi &amp;&amp; relatedDoi.length &gt; 0&quot;&gt;

      &lt;button mat-raised-button (click)&#x3D;&quot;createNew()&quot; color&#x3D;&quot;primary&quot; id&#x3D;&quot;createNewTestingCardsLotButton&quot;
              *roles&#x3D;&quot;[&#x27;CREATE_TEST_VOTING_CARD_DEFINITION&#x27;]&quot;&gt;
        &lt;mat-icon&gt;add&lt;/mat-icon&gt;
        {{&quot;testing-cards-lot.actions.create&quot; | translate | uppercase}}
      &lt;/button&gt;
    &lt;/div&gt;


    &lt;div [hidden]&#x3D;&quot;elementsCount &#x3D;&#x3D;&#x3D; 0&quot;&gt;

      &lt;mat-table #table [dataSource]&#x3D;&quot;dataSource&quot; matSort id&#x3D;&quot;testingCardsLotTable&quot;&gt;

        &lt;!-- Column definition for field lotName --&gt;
        &lt;ng-container matColumnDef&#x3D;&quot;lotName&quot;&gt;
          &lt;mat-header-cell *matHeaderCellDef mat-sort-header&gt;
            {{&quot;testing-cards-lot.grid.header.lot-name&quot; | translate}}
          &lt;/mat-header-cell&gt;
          &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt;
            {{element.lotName}}
          &lt;/mat-cell&gt;
        &lt;/ng-container&gt;

        &lt;!-- Column definition for field cardType --&gt;
        &lt;ng-container matColumnDef&#x3D;&quot;cardType&quot;&gt;
          &lt;mat-header-cell *matHeaderCellDef mat-sort-header&gt;
            {{&quot;testing-cards-lot.grid.header.card-type&quot; | translate}}
          &lt;/mat-header-cell&gt;
          &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt;
            {{element.cardType}}
          &lt;/mat-cell&gt;
        &lt;/ng-container&gt;

        &lt;!-- Column definition for field count --&gt;
        &lt;ng-container matColumnDef&#x3D;&quot;count&quot;&gt;
          &lt;mat-header-cell *matHeaderCellDef mat-sort-header&gt;
            {{&quot;testing-cards-lot.grid.header.count&quot; | translate}}
          &lt;/mat-header-cell&gt;
          &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt;
            {{element.count}}
          &lt;/mat-cell&gt;
        &lt;/ng-container&gt;

        &lt;ng-container matColumnDef&#x3D;&quot;voter&quot;&gt;
          &lt;mat-header-cell *matHeaderCellDef&gt;
            {{&quot;testing-cards-lot.grid.header.voter&quot; | translate}}
          &lt;/mat-header-cell&gt;
          &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt;
            {{element.signature}} {{element.firstName}} {{element.lastName}}&lt;br/&gt;
            &lt;ng-container *ngFor&#x3D;&quot;let addressLine of element.address&quot;&gt;
              {{addressLine}}&lt;br&gt;
            &lt;/ng-container&gt;
          &lt;/mat-cell&gt;
        &lt;/ng-container&gt;

        &lt;!-- Column definition for field language --&gt;
        &lt;ng-container matColumnDef&#x3D;&quot;language&quot;&gt;
          &lt;mat-header-cell *matHeaderCellDef mat-sort-header&gt;
            {{&quot;testing-cards-lot.grid.header.language&quot; | translate}}
          &lt;/mat-header-cell&gt;
          &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt;
            {{element.language}}
          &lt;/mat-cell&gt;
        &lt;/ng-container&gt;

        &lt;!-- Column definition for field shouldPrint --&gt;
        &lt;ng-container matColumnDef&#x3D;&quot;shouldPrint&quot;&gt;
          &lt;mat-header-cell *matHeaderCellDef mat-sort-header&gt;
            {{&quot;testing-cards-lot.grid.header.should-print&quot; | translate}}
          &lt;/mat-header-cell&gt;
          &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt;
            {{element.shouldPrint}}
          &lt;/mat-cell&gt;
        &lt;/ng-container&gt;

        &lt;!-- Column definition for actions --&gt;
        &lt;ng-container matColumnDef&#x3D;&quot;actions&quot;&gt;
          &lt;mat-header-cell *matHeaderCellDef&gt; {{&quot;testing-cards-lot.grid.header.actions&quot; | translate}}
          &lt;/mat-header-cell&gt;
          &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt;
            &lt;ng-container *ngIf&#x3D;&quot;!readOnly&quot;&gt;
              &lt;button mat-icon-button color&#x3D;&quot;accent&quot; class&#x3D;&quot;btn-delete&quot; (click)&#x3D;&quot;remove(element)&quot;
                      *roles&#x3D;&quot;[&#x27;DELETE_TEST_VOTING_CARD_DEFINITION&#x27;]&quot;&gt;
                &lt;mat-icon&gt;clear&lt;/mat-icon&gt;
              &lt;/button&gt;
            &lt;/ng-container&gt;

            &lt;button mat-icon-button class&#x3D;&quot;btn-edit&quot; (click)&#x3D;&quot;edit(element)&quot;
                    *ngIf&#x3D;&quot;relatedDoi &amp;&amp; relatedDoi.length &gt; 0&quot;&gt;
              &lt;mat-icon color&#x3D;&quot;primary&quot; *ngIf&#x3D;&quot;!readOnly&quot;&gt;edit&lt;/mat-icon&gt;
              &lt;mat-icon color&#x3D;&quot;primary&quot; *ngIf&#x3D;&quot;readOnly&quot;&gt;search&lt;/mat-icon&gt;
            &lt;/button&gt;
          &lt;/mat-cell&gt;
        &lt;/ng-container&gt;

        &lt;mat-header-row *matHeaderRowDef&#x3D;&quot;displayedColumns&quot;&gt;&lt;/mat-header-row&gt;
        &lt;mat-row *matRowDef&#x3D;&quot;let row; columns: displayedColumns;&quot;&gt;&lt;/mat-row&gt;
      &lt;/mat-table&gt;
    &lt;/div&gt;

  &lt;/mat-card-content&gt;
&lt;/mat-card&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./testing-cards-lot-list.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">#cannot-create-lot {
  text-align: center;
  padding: 15px;
}

.mat-column-lotName {
  flex: 0 0 15rem;
}

.mat-column-cardType {
  flex: 0 0 13rem;
}

.mat-column-count {
  flex: 0 0 13rem;
}

.mat-column-voter {
  flex: 1 0 10rem;
}

.mat-column-language {
  flex: 0 0 7rem;
}

.mat-column-shouldPrint {
  flex: 0 0 9rem;
}

.mat-column-actions {
  flex: 0 0 9rem;
}

</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><mat-card id="testingCardsLotList" [class.read-only]="readOnly">  <mat-card-header>    <mat-card-title>{{ "testing-cards-lot.title" | translate }}</mat-card-title>    <mat-card-subtitle>{{ "testing-cards-lot.subtitle.list" | translate }}</mat-card-subtitle>  </mat-card-header>  <mat-card-content fxLayout="column" class="no-padding">    <div *ngIf="relatedDoi && relatedDoi.length == 0" class="parameter-input" id="cannot-create-lot">      {{ "testing-cards-lot.no-registry" | translate }}    </div>    <div class="mat-card-button-toolbar"         fxLayout fxLayoutAlign="end" fxLayoutGap="2.5rem"         *ngIf="!readOnly && relatedDoi && relatedDoi.length > 0">      <button mat-raised-button (click)="createNew()" color="primary" id="createNewTestingCardsLotButton"              *roles="[\'CREATE_TEST_VOTING_CARD_DEFINITION\']">        <mat-icon>add</mat-icon>        {{"testing-cards-lot.actions.create" | translate | uppercase}}      </button>    </div>    <div [hidden]="elementsCount === 0">      <mat-table #table [dataSource]="dataSource" matSort id="testingCardsLotTable">        <!-- Column definition for field lotName -->        <ng-container matColumnDef="lotName">          <mat-header-cell *matHeaderCellDef mat-sort-header>            {{"testing-cards-lot.grid.header.lot-name" | translate}}          </mat-header-cell>          <mat-cell *matCellDef="let element">            {{element.lotName}}          </mat-cell>        </ng-container>        <!-- Column definition for field cardType -->        <ng-container matColumnDef="cardType">          <mat-header-cell *matHeaderCellDef mat-sort-header>            {{"testing-cards-lot.grid.header.card-type" | translate}}          </mat-header-cell>          <mat-cell *matCellDef="let element">            {{element.cardType}}          </mat-cell>        </ng-container>        <!-- Column definition for field count -->        <ng-container matColumnDef="count">          <mat-header-cell *matHeaderCellDef mat-sort-header>            {{"testing-cards-lot.grid.header.count" | translate}}          </mat-header-cell>          <mat-cell *matCellDef="let element">            {{element.count}}          </mat-cell>        </ng-container>        <ng-container matColumnDef="voter">          <mat-header-cell *matHeaderCellDef>            {{"testing-cards-lot.grid.header.voter" | translate}}          </mat-header-cell>          <mat-cell *matCellDef="let element">            {{element.signature}} {{element.firstName}} {{element.lastName}}<br/>            <ng-container *ngFor="let addressLine of element.address">              {{addressLine}}<br>            </ng-container>          </mat-cell>        </ng-container>        <!-- Column definition for field language -->        <ng-container matColumnDef="language">          <mat-header-cell *matHeaderCellDef mat-sort-header>            {{"testing-cards-lot.grid.header.language" | translate}}          </mat-header-cell>          <mat-cell *matCellDef="let element">            {{element.language}}          </mat-cell>        </ng-container>        <!-- Column definition for field shouldPrint -->        <ng-container matColumnDef="shouldPrint">          <mat-header-cell *matHeaderCellDef mat-sort-header>            {{"testing-cards-lot.grid.header.should-print" | translate}}          </mat-header-cell>          <mat-cell *matCellDef="let element">            {{element.shouldPrint}}          </mat-cell>        </ng-container>        <!-- Column definition for actions -->        <ng-container matColumnDef="actions">          <mat-header-cell *matHeaderCellDef> {{"testing-cards-lot.grid.header.actions" | translate}}          </mat-header-cell>          <mat-cell *matCellDef="let element">            <ng-container *ngIf="!readOnly">              <button mat-icon-button color="accent" class="btn-delete" (click)="remove(element)"                      *roles="[\'DELETE_TEST_VOTING_CARD_DEFINITION\']">                <mat-icon>clear</mat-icon>              </button>            </ng-container>            <button mat-icon-button class="btn-edit" (click)="edit(element)"                    *ngIf="relatedDoi && relatedDoi.length > 0">              <mat-icon color="primary" *ngIf="!readOnly">edit</mat-icon>              <mat-icon color="primary" *ngIf="readOnly">search</mat-icon>            </button>          </mat-cell>        </ng-container>        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>        <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>      </mat-table>    </div>  </mat-card-content></mat-card></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'TestingCardsLotListComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'TestingCardsLotListComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
